#pragma once
//stl
#include <iostream>
//robotics
#include <robotics/datetime.hpp>

using namespace robotics;

/* ************************************************
* 作者:Lenovo
* 时间:2024/6/3 21:14:08
* 机器名:DESKTOP-4I13MDL
* 实体类名:web_sync_item_request_info
* 数据库表名 				[[SqlTable("xxx")]]
* 不生成反射 				[[NoReflect]]
* Json字段名 			[[Json("xxx")]]
* 不生成Json字段 			[[NoJson(true)]]
* Sql字段名  			[[Sql("xxx")]]
* 不生成Sql字段 			[[NoSql(true)]]
* Excel字段名			[[Excel("xxx")]]
* 不生成Excel字段 		[[NoExcel(true)]]
* *************************************************/

/**
 * @brief 用于同步Web数据的实体类，包含快递类型、分拣数量、扫描数量等信息。
 */
struct web_sync_item_request_info
{
	/**
	 * @brief 快递类型（如：普通、特快等）
	 */
	[[Json("expressType")]]
	int express_type = 0;

	/**
	 * @brief 格口分拣数量
	 */
	[[Json("latticeCount")]]
	int lattice_count = 0;

	/**
	 * @brief 供包扫描数量
	 */
	[[Json("supplyCount")]]
	int supply_count = 0;

	/**
	 * @brief 回流数量
	 */
	[[Json("refluxCount")]]
	int reflux_count = 0;

	/**
	 * @brief 补货汇总信息
	 */
	[[Json("supplySummay")]]
	std::string supply_summay;

	/**
	 * @brief 格口汇总信息
	 */
	[[Json("latticeSummay")]]
	std::string lattice_summay;

	/**
	 * @brief 回流汇总信息
	 */
	[[Json("refluxSummay")]]
	std::string reflux_summay;
};